Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class DestroyRoomRequest

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.MUCRoomTask
          org.jivesoftware.openfire.muc.cluster.DestroyRoomRequest

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class DestroyRoomRequest

extends MUCRoomTask

Task that destroys the local room in the cluster node. Local room occupants hosted in the cluster node will get the notification of the room being destroyed.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`DestroyRoomRequest()`
`DestroyRoomRequest(LocalMUCRoom room, org.xmpp.packet.JID alternateJID, String reason)`
`DestroyRoomRequest(LocalMUCRoom room, String alternateJID, String reason)`

Method Summary
`org.xmpp.packet.JID` | `getAlternateJID()`
`String` | `getReason()`
`Object` | `getResult()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jivesoftware.openfire.muc.cluster.MUCRoomTask
`execute, getRoom, isOriginator, setOriginator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DestroyRoomRequest

    public DestroyRoomRequest()

### DestroyRoomRequest

    public DestroyRoomRequest(LocalMUCRoom room,
                              org.xmpp.packet.JID alternateJID,
                              String reason)

### DestroyRoomRequest

    public DestroyRoomRequest(LocalMUCRoom room,
                              String alternateJID,
                              String reason)

Method Detail

### getResult

    public Object getResult()

### run

    public void run()

### getAlternateJID

    public org.xmpp.packet.JID getAlternateJID()

### getReason

    public String getReason()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `MUCRoomTask`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `MUCRoomTask`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.